﻿html {
    background-color: #444;
    font-family: 'Exo 2', Verdana, Arial, Helvetica, Sans-Serif;
    font-size: 1em;
    line-height: 1.1em;
    height: 100%;
}

body {
    position: relative;
    margin: 0 auto 0 auto;
    background-color: #fff;
    width: 90%;
    min-width: 768px;
    min-height: 100%;
    padding: 0;
    border: solid 1px #000;
    overflow: auto;
}

header {
    background: -webkit-linear-gradient(top, #000 50%, #0d72ba 75%, #75c5ec 100%);
    background: -moz-linear-gradient(top, #000 50%, #0d72ba 75%, #75c5ec 100%);
    background: -o-linear-gradient(top, #000 50%, #0d72ba 75%, #75c5ec 100%);
    background: -ms-linear-gradient(top, #000 50%, #0d72ba 75%, #75c5ec 100%);
    background: linear-gradient(top, #000 50%, #0d72ba 75%, #75c5ec 100%);
    min-height: 70px;
}

    header .header-brand {
        float: left;
        margin-right: 1em;
    }

    header .header-logo {
        float: left;
        text-transform: uppercase;
        color: white;
        font-weight: 900;
        font-size: 3em;
        line-height: 1.2em;
        letter-spacing: 0.1em;
    }

.pull-left {
    float: left;
}

.pull-right {
    float: right;
}

.clear-both {
    clear: both;
}

#currentUserPanel {
    color: #fff;
    padding: 0.5em 1em;
    float: right;
}
#currentUserPanel div {
    float: right;
    margin-left: 2em;
    display: inline-block;
}

#currentUserPanel a {
    color: #fff;
}

    #currentUserPanel div.recentNotifications {
        background-color: #fff;
        color: #000;
        padding: 3px 5px;
        border-radius: 3px;
        position: relative;
    }

        #currentUserPanel div.recentNotifications:hover {
            background-color: #ff6600;
            color: #fff;
        }

        #currentUserPanel div.recentNotifications ul.dropdown {
            display: none;
            position: absolute;
            background-color: #f9f9f9;
            color: #222;
            min-width: 250px;
            box-shadow: 0 8px 16px 0 rgba(0,0,0,0.2);
            z-index: 1;
            list-style: none;
            margin-top: 2px;
            margin-left: -115px;
        }
            #currentUserPanel div.recentNotifications ul.dropdown li.title {
                background-color: #0d72ba;
                color: #fff;
                font-weight: bold;
                text-align: center;
            }
        #currentUserPanel div.recentNotifications ul.dropdown li {
            border-bottom: solid 1px #ccc;
            padding: 8px;
        }
        #currentUserPanel div.recentNotifications:hover ul.dropdown {
            display: block;
        }
        
body > header {
    padding: 0.5em;
}

body > section {
    padding: 0 2em 2em 2em;
}

div.validation-summary-errors, span.field-validation-error {
    color: #f00;
}

nav {
    clear: both;
    margin-bottom: 0.8em;
    overflow: hidden;
    background: -webkit-linear-gradient(top, #ff6600 0%, #FF8C13 100%);
    background: -moz-linear-gradient(top, #ff6600 0%, #FF8C13 100%);
    background: -o-linear-gradient(top, #ff6600 0%, #FF8C13 100%);
    background: -ms-linear-gradient(top, #ff6600 0%, #FF8C13 100%);
    background: linear-gradient(top, #ff6600 0%, #FF8C13 100%);
}

    nav ul {
        list-style-type: none;
        font-weight: bold;
        font-size: 1.05em;
    }

        nav ul li {
            float: left;
            border-top: solid 4px #ff6600;
        }

            nav ul li.highlight {
                background-color: #fff;
                border-top: solid 4px #222;
            }

                nav ul li.highlight a {
                    color: #222;
                }

            nav ul li:hover {
                background-color: #444;
                color: #fff;
            }

            nav ul li a {
                display: block;
                text-decoration: none;
                color: #fff;
                padding: 0.2em 1em 0.3em 1em;
            }

                nav ul li a:hover {
                    color: #fff;
                }

li.dropdown {
    display: inline-block;
}

.dropdown-content {
    display: none;
    position: absolute;
    background-color: #444;
    min-width: 160px;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    font-weight: normal;
    font-size: 1em;
    z-index: 100;
}

.dropdown-content li {
    float: none;
    border-top: dotted 1px #f60;
    background-color: #666;
}
        
.dropdown-content a {
    color: #fff;
    padding: 12px 16px;
    text-decoration: none;
    display: block;
    text-align: left;
}

.dropdown-content a:hover {
    background-color: #eee;
    color: #000;
}

.dropdown:hover .dropdown-content {
    display: block;
}

div.editor-label {
    margin-top: 0.8em;
    font-weight: bold;
}

h1 {
    font-weight: 900;
    font-size: 1.5em;
    margin-bottom: 0.75em;
}

h2 {
    font-weight: 700;
    font-size: 1.2em;
    color: #ff6600;
    margin-bottom: 0.75em;
}

section ul, p {
    margin: 0.8em 0;
}

.small-text {
    font-size: 0.8em;
}

div.gridDashboard {
    clear: both;
    overflow: hidden;
    max-height: 100px;
    min-height: 25px;
}

div.gridDashboard table {
    display: block;
    float: left;
    margin-right: 1.5em;
    color: #444;
    border: solid 1px #ddd;
}

    div.gridDashboard table td, 
    div.gridDashboard table th,
    div.dashboard table td, 
    div.dashboard table th {
        padding: 0.3em 0.5em;
        text-align: center;
        border-right: solid 2px #fff;
        border-bottom: solid 2px #fff;
    }

    div.gridDashboard table th,
    div.dashboard table th {
        font-weight: bold;
        text-decoration: underline;
        border: solid 2px #fff;
    }

    div.gridDashboard table td.summary, div.gridDashboard table th.summary {
        vertical-align: middle;
        font-weight: bold;
    }

    div.gridDashboard table td.title, 
    div.gridDashboard table th.title, 
    div.gridDashboard table td.heading, 
    div.gridDashboard table th.heading,
    div.dashboard table td.title, 
    div.dashboard table th.title, 
    div.dashboard table td.heading, 
    div.dashboard table th.heading {
        font-weight: bold;
        text-decoration: underline;
        color: #fff;
        vertical-align: middle;
        line-height: 1.2em;
    }

    div.gridDashboard table td.title, 
    div.gridDashboard table th.title, 
    div.dashboard table td.title, 
    div.dashboard table th.title {
        background: -webkit-linear-gradient(top, #0d72ba 0%, #75c5ec 100%);
        background: -moz-linear-gradient(top, #0d72ba 0%, #75c5ec 100%);
        background: -o-linear-gradient(top, #0d72ba 0%, #75c5ec 100%);
        background: -ms-linear-gradient(top, #0d72ba 0%, #75c5ec 100%);
        background: linear-gradient(top, #0d72ba 0%, #75c5ec 100%);
    }

    div.gridDashboard table td.heading, 
    div.gridDashboard table th.heading, 
    div.dashboard table td.heading, 
    div.dashboard table th.heading {
        background: -webkit-linear-gradient(top, #555 0%, #888 100%);
        background: -moz-linear-gradient(top, #555 0%, #888 100%);
        background: -o-linear-gradient(top, #555 0%, #888 100%);
        background: -ms-linear-gradient(top, #555 0%, #888 100%);
        background: linear-gradient(top, #555 0%, #888 100%);
        text-transform: capitalize;
        white-space: nowrap;
    }

    div.gridDashboard table td.title {
        border-left: solid 2px #fff;
    }

    div.gridDashboard table td.miss, 
    div.gridDashboard table th.miss,
    div.dashboard table td.miss {
        background-color: #ffc0ff;
    }
    div.gridDashboard table th.summary.miss {
        border: solid 4px #fd5dfd;
    }

    div.gridDashboard table td.hit, 
    div.gridDashboard table th.hit,
    div.dashboard table td.hit {
        background-color: #ccff99;
    }
    div.gridDashboard table th.summary.hit {
        border: solid 4px #9ffe3f;
    }

    div.gridDashboard table td.extra, 
    div.gridDashboard table th.extra {
        background-color: #dddddd;
    }

    div.gridDashboard table td.pending, 
    div.gridDashboard table th.pending,
    div.dashboard table td.pending {
        background-color: #75c5ec;
    }
    

.hidden {
    display: none;
}

table.backgrid {
    min-width: 600px;
    width: 100%;
}

    table.backgrid th {
        background: -webkit-linear-gradient(top, #0d72ba 0%, #75c5ec 100%);
        background: -moz-linear-gradient(top, #0d72ba 0%, #75c5ec 100%);
        background: -o-linear-gradient(top, #0d72ba 0%, #75c5ec 100%);
        background: -ms-linear-gradient(top, #0d72ba 0%, #75c5ec 100%);
        background: linear-gradient(top, #0d72ba 0%, #75c5ec 100%);
        color: #fff;
        border: none;
    }

        table.backgrid th a {
            color: #fff;
        }

    table.backgrid td.actions {
        white-space: nowrap;
    }

    table.backgrid td.actions span.fa {
        font-size: 1.2em;
    }

    table.backgrid td.actions a {
        color: #006;
    }

    table.backgrid td.actions a:hover {
        color: #0d72ba;
    }

    table.backgrid td.actions a span.delete{
        color: #f00;
    }

    table.backgrid td.actions a:hover span.delete {
        color: #600;
    }

    table td.salesOrderNumber {
        font-weight: bold;
        text-decoration: underline;
    }

    table.backgrid td.lastName, 
    table.backgrid td.surname {
        font-weight: bold;
        text-transform:uppercase;
        color: #006;
    }

    table.backgrid tbody tr td {
        border-bottom: solid 1px #0d72ba;
    }

    table tbody tr.cancelled, table tbody tr.notsent  {
        background-color: #f00;
        color: #fff;
    }

    table tbody tr.cancelled a, table tbody tr.notsent a {
        color: #fff;
    }

    table tbody tr.rejected  {
        background-color: #faa;
    }

    table tbody tr.awaitingfinance, table tbody tr.tryingtocancel {
        background-color: #ffaa39;
        color: #fff;
    }

    table tbody tr.sent {
        background-color: #ffaa39;
        color: #000;
    }
    
    table tbody tr.reserved {
        background-color: #a2d8f6;
        color: #000;
    }

    table tbody tr.returned {
        background-color: #31ff31;
        color: #000;
    }

    table tbody tr.notdelivered, table tbody tr.notrequired {
        background-color: #ddd;
        color: #666;
    }

    table.backgrid td {
        white-space: normal;   
    }

    table.backgrid .action-cell {
        text-align: right;
    }

    table.backgrid .string-cell {
        text-align: center;
    }

    table.backgrid tbody tr.tbc-evo td.evoReference,
    table.backgrid tbody tr.tbc-evo td.evolutionReference,
    table.backgrid tbody tr.tbc-vehicle td.vehicleReference,
    table.backgrid tbody tr.px-appraisal td.pxSummary {
        color: #f00;
        font-weight: bold;
    }

    table.backgrid tbody tr.cancelled.tbc-evo td.evoReference,
    table.backgrid tbody tr.cancelled.tbc-vehicle td.vehicleReference,
    table.backgrid tbody tr.cancelled.px-appraisal td.pxSummary {
        color: #fff;
    }

table.backgrid .trafficLight-cell.red {
    color: red;
}
table.backgrid .trafficLight-cell.green {
    color: green;
}

div.dialog ul {
    margin-left: 2em;
    margin-bottom: 0.8em;
}

div.dialog-data-grid-panel {
    max-height: 85%;
    overflow: auto;
}

table.dialog-data-grid {
    display: none;
    border-collapse: collapse;
    min-width: 600px;
    width: 100%;
}

    table.dialog-data-grid tr {
        border-bottom: solid 1px #ff6600;
    }
    table.dialog-data-grid tr.multi {
        border-bottom: none;
    }

    table.dialog-data-grid thead tr {
        border-top: solid 1px #ff6600;
        background: -webkit-linear-gradient(top, #ff6600 0%, #FF8C13 100%);
        background: -moz-linear-gradient(top, #ff6600 0%, #FF8C13 100%);
        background: -o-linear-gradient(top, #ff6600 0%, #FF8C13 100%);
        background: -ms-linear-gradient(top, #ff6600 0%, #FF8C13 100%);
        background: linear-gradient(top, #ff6600 0%, #FF8C13 100%);
        font-weight: bold;
        color: #fff;
    }

    table.dialog-data-grid th, table.dialog-data-grid td {
        padding: 0.4em 0.8em;
        text-align: center;
        vertical-align: middle;
    }

table.dialog-data-grid.subdued thead tr {
    border-top: solid 1px #555;
    background: -webkit-linear-gradient(top, #555 0%, #777 100%);
    background: -moz-linear-gradient(top, #555 0%, #777 100%);
    background: -o-linear-gradient(top, #555 0%, #777 100%);
    background: -ms-linear-gradient(top, #555 0%, #777 100%);
    background: linear-gradient(top, #555 0%, #777 100%);
}
table.dialog-data-grid.subdued tr {
    border-bottom: solid 1px #555;
}

table.dialog-data-grid tr.total {
    background-color: #ddd;
    font-weight: bold;
}


#noDataLabel {
    color: #f00;
    display: none;
}

#gridActionsPanel {
    display: none;
}

div.dialog {
    display: none;
}

div.controlGroup {
    border-top: dotted 1px #0d72ba;
    margin-top: 0.5em;
    padding-top: 0.4em;
    overflow: hidden;
}

div.controlGroup h3 {
    margin-top: 0;
    margin-bottom: 0.5em;
    font-size: 1em;
    font-weight: bold;
    color: #0d72ba;
}

input[type=text], input[type=password], input[type=number], select {
    margin-top: 0.3em;
    padding: 5px;
    min-width: 250px;
    border: solid 1px #333;
}

div.control {
    margin-bottom: 0.5em;
    float: left;
    margin-right: 1em;
    min-width: 312px;
}
    div.control.br,
    div.label.br {
        clear: both;
    }

    div.control input[type=text], 
    div.control input[type=number],
    div.control select {
        width: 300px;
        height: 36px;
        box-sizing: border-box;
        -moz-box-sizing: border-box;
        -webkit-box-sizing: border-box;
    }

    div.control div.slider {
        width: 270px;
        margin: 0.5em 0 0.2em 0.8em;
    }

    div.control span.sliderLabel {
        font-weight: bold;
        color: #FF8C13;
    }

    div.control textarea {
        width: 100%;
        min-width: 600px;
        height: 75px;
        margin-top: 0.2em;
    }

div.control.compact {
    min-width: 175px;
}
div.control.compact label {
    display: block;
}
    div.control.compact input[type=text],
    div.control.compact input[type=number],
    div.control.compact select {
        width: 165px;
        height: 36px;
        min-width: 165px;
        box-sizing: border-box;
        -moz-box-sizing: border-box;
        -webkit-box-sizing: border-box;
    }

div.label {
    margin-bottom: 0.5em;
    float: left;
    margin-right: 1em;
    min-width: 150px;
}
    div.label.col-2 {
        min-width: 316px;
    }
    div.label span {
    font-weight: bold;
}
div.label-panel {
    margin-bottom: 0.5em;
}
div.label-panel ul {
    padding-left: 1em;
}
div.fillPanel {
    position: relative;
    height: 85%;
}
    div.fillPanel textarea {
        position: absolute;
        left: 0;
        right: 0;
        bottom: 0;
        top: 30px;
        width: 98%;
        height: 88%;
    }

div.dialog-content {
    position: absolute;
    left: 0;
    right: 0;
    top: 0;
    height: 86%;
    padding: 0 1em;
    overflow: auto;
}

div.dialog-buttons {
    position: absolute;
    left: 0.5em;
    right: 0.5em;
    bottom: 0.5em;
    border-top: solid 1px #666;
    padding-top: 0.5em;
}

div.loadingPanel {
    display: none;
    text-align: center;
    margin-top: 50px;
}

div.tabs.ui-widget-content {
    border: none;
}

div.ui-datepicker select {
    min-width: 0;
}
img.ui-datepicker-trigger {
    margin-left: 0.2em;
}

.error {
    color: #f00;
}

input.error, select.error, textarea.error {
    border: solid 1px #f00;
}

.info {
    color: #0d72ba;
}

.isProcessing, .loadingLabel {
    background-image: url(../images/button-spinner.gif) !important;
    background-position: left center !important;
    background-repeat: no-repeat !important;
    padding-left: 15px;
}

.loadingLabel {
    padding: 0.5em 2em;
}

.disabled {
    color: #ccc !important;
}

button {
    background: none!important;
    border: none;
    padding: 0;
    text-decoration: underline;
    color: blue;
    font-family: Arial, Helvetica, Sans-Serif;
    font-size: 1em;
    line-height: 1.1em;
}

.widget {
    margin: 2em 2em 0 0;
    background: -webkit-linear-gradient(top, #0d72ba 0%, #fff 10%);
    background: -moz-linear-gradient(top, #0d72ba 0%, #fff 10%);
    background: -o-linear-gradient(top, #0d72ba 0%, #fff 10%);
    background: -ms-linear-gradient(top, #0d72ba 0%, #fff 10%);
    background: linear-gradient(top, #0d72ba 0%, #fff 10%);
    padding: 0.5em;
    border: solid 1px #000;
    min-height: 200px;
}
.widget h3 {
    margin-top: 0;
}
.col-1, .col-2, .col-3, .col-4, .col-5, .col-6, .col-7, .col-8, .col-9, .col-10, .col-11, .col-12 {
    float: left;
}
.col-1 { width: 8.3%; }
.col-2 { width: 16.7%; }
.col-3 { width: 25%; }
.col-4 { width: 33.3%; }
.col-5 { width: 41.6%; }
.col-6 { width: 50%; }
.col-7 { width: 58.3%; }
.col-8 { width: 66.6%; }
.col-9 { width: 75%; }
.col-10 { width: 83.3%; }
.col-11 { width: 91.6%; }
.col-12  { width: 100%; }
   
div.sourceSelector {
    min-height: 0;
    overflow: auto;
    margin-top: 0;
}

div.sourceSelector div {
    float: left;
    margin-right: 0.5em;
}
div.sourceSelector select {
    width: 100%;
    min-width: 120px;
    margin-top: 0.5em;
}
div.sourceSelector div.buttonPanel {
    float: right;
}

@font-face {
  font-family: 'Glyphicons Halflings';
  src: url('../fonts/glyphicons-halflings-regular.eot');
  src: url('../fonts/glyphicons-halflings-regular.eot?#iefix') format('embedded-opentype'), url('../fonts/glyphicons-halflings-regular.woff') format('woff'), url('../fonts/glyphicons-halflings-regular.ttf') format('truetype'), url('../fonts/glyphicons-halflings-regular.svg#glyphicons_halflingsregular') format('svg');
}
.glyphicon {
  position: relative;
  top: 1px;
  display: inline-block;
  font-family: 'Glyphicons Halflings';
  font-style: normal;
  font-weight: normal;
  line-height: 1;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}
.glyphicon-pencil:before {
  content: "\270f";
}
.glyphicon-search:before {
  content: "\e003";
}
.glyphicon-chevron-left:before {
  content: "\e079";
}
.glyphicon-chevron-right:before {
  content: "\e080";
}
.glyphicon-calendar:before {
  content: "\e109";
}
.glyphicon-eye-open:before {
  content: "\e105";
}
.glyphicon-envelope:before {
  content: "\2709";
}

#jumbotronDialog div.notification {
    border: solid 1px #0d72ba;
    padding: 0.5em;
    margin-bottom: 0.5em;
    text-align: center;
    font-weight: bold;
    font-style: italic;
}
#jumbotronDialog div.notification:first-child {
    border-top: dotted 1px #ccc;
}
    #jumbotronDialog div.notification div {
        margin-top: 0.5em;
        padding: 0.5em;
        background-color: #b2d7f1;
        background-color: rgba(178, 215, 241, 0.8); /*#b2d7f1*/
        border: solid 1px #fff;
    }

div.error-panel {
    border: solid 1px #f00;
    background-color: #ffb3b3;
    padding: 0.5em 1em;
    border-radius: 0.5em;
    clear: both;
    text-align: center;
    font-weight: bold;
}

div.warning-panel {
    border: solid 1px #f60;
    background-color: #ffa364;
    padding: 0.5em 1em;
    border-radius: 0.5em;
    clear: both;
}

div.info-panel {
    border: solid 1px #0d72ba;
    background-color: #b2d7f1;
    padding: 0.5em 1em;
    border-radius: 0.5em;
    clear: both;
}

div.costsView .loadingPanel {
    margin-top: 2em;
    display: block;
}

div.costsView .contentPanel {
    display: none;
}
div.costsView .addCostPanel {
    border-top: dotted 1px #f60;
    border-bottom: dotted 1px #f60;
    background-color: #eee;
    overflow: hidden;
    padding: 0.3em;
}
div.costsView .buttonPanel {
    margin-top: 0.3em;
}
table.costsGrid {
    width: 100%;
    margin-top: 0.3em;
}
    table.costsGrid th {
        text-align: left;
        padding-bottom: 0.3em;
        border-bottom: dotted 1px #f60;
    }
    table.costsGrid td {
        padding-right: 5px;
        border-bottom: dotted 1px #ccc;
    }
    table.costsGrid input[type=text],
    table.costsGrid input[type=number] {
        min-width: 150px;
        width: 96%;
        padding: 3px;
    }
    table.costsGrid a.deleteCostButton {
        color: #f00;
    }
